Page MenuHomePhabricator

Remove detail and detailHTML from wbcheckconstraints response
Closed, ResolvedPublic

Description

In my opinion, detail and detailHTML in the wbcheckconstraints API response are a relic from another time. Now that constraints are configured in statements (in a consistent and easily consumable format, not wikitext templates) and violation messages carry all the information you need to understand the violation, I see no need to include them in the API response – the gadget already ignores them.

It looks like this can reduce the response size by about 38% (P6321), which matters not only for what we transfer over the network, but also for what we store in the cache – so I would like to kick this out before we deploy T179849: Cache all constraint check results per-entity.

The announcement for this breaking change was sent on Monday, 20 November 2017, stating that the change will take effect on Monday, 18 December 2017.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 15 2017, 5:40 PM

Change 391864 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add option to remove detail fields from API response

https://gerrit.wikimedia.org/r/391864

Change 391864 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add option to remove detail fields from API response

https://gerrit.wikimedia.org/r/391864

thiemowmde triaged this task as Low priority.Nov 20 2017, 5:13 PM
thiemowmde moved this task from incoming to ready to go on the Wikidata board.

Change 396311 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Remove detail from wbcheckconstraints API response

https://gerrit.wikimedia.org/r/396311

Change 396311 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove detail from wbcheckconstraints API response

https://gerrit.wikimedia.org/r/396311

Mentioned in SAL (#wikimedia-operations) [2017-12-20T17:46:07Z] <demon@tin> Synchronized wmf-config/Wikibase-production.php: T180614 (duration: 00m 51s)

Lucas_Werkmeister_WMDE closed this task as Resolved.Dec 20 2017, 5:57 PM
Lucas_Werkmeister_WMDE claimed this task.

Done, only two days late! :)

Change 403207 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Remove detail fields from API response by default

https://gerrit.wikimedia.org/r/403207

Change 403207 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Remove detail fields from API response by default

https://gerrit.wikimedia.org/r/403207

Change 403939 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Remove $wgWBQualityConstraintsIncludeDetailInApi setting

https://gerrit.wikimedia.org/r/403939

Change 403939 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove $wgWBQualityConstraintsIncludeDetailInApi setting

https://gerrit.wikimedia.org/r/403939

Mentioned in SAL (#wikimedia-operations) [2018-01-22T14:12:24Z] <zfilipin@tin> Synchronized wmf-config/Wikibase-production.php: SWAT: [[gerrit:403939|Remove $wgWBQualityConstraintsIncludeDetailInApi setting (T180614)]] (duration: 00m 56s)